Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class ExtendedFolderNameEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedFileNameEditor
                              |
                              +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedFolderNameEditor

public class ExtendedFolderNameEditor
extends ExtendedFileNameEditor

Represents ExtendedEditor for the directory name values.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedFileNameEditor
`myInitalPath`

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Method Summary
`protected String` | `choose()` This method actually opens directory chooser dialog.
`protected String` | `getInitalPath(Object value)` Validates initial path.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedFileNameEditor
`doAction, getChooserType, getValue, setBackground, setValue`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
`editingCanceled, editingStopped, getInnerEditor`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Method Detail

### choose

    protected String choose()

  This method actually opens directory chooser dialog.
  Returns: path to the selected directory, or null if nothjing is selected

### getInitalPath

    protected String getInitalPath(Object value)

  Validates initial path.
  Returns: just given value casted to String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD